{
  "printbreedpart": {
    "_parent": {
      "type": "breed"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "billYear": {
        "type": "integer"
      },
      "idProduct": {
        "type": "long"
      },
      "idPartInfo": {
        "type": "long"
      },
      "idPrintBill": {
        "type": "long"
      },
      "idPrintBreed": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "idOrderPart": {
        "type": "long"
      },
      "idWorkPart": {
        "type": "long"
      },
      "partHeight": {
        "type": "double"
      },
      "partWidth": {
        "type": "double"
      },
      "locationX": {
        "type": "double"
      },
      "locationY": {
        "type": "double"
      },
      "rotationAngle": {
        "type": "long"
      },
      "productName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "orderName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "orderNameQuery": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "orderCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "productPartName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "semiFeedbackStatus": {
        "type": "integer"
      },
      "semiFeedbackContent": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idSemiFeedbackMan": {
        "type": "long"
      },
      "semiFeedbackTimeLong": {
        "type": "long"
      },
      "cropRect": {
        "type": "text",
        "index": "not_analyzed"
      }
    }
  }
}
